Package org.eclipse.jdt.debug.ui.launchConfigurations

## Class AppletParametersTab

- java.lang.Object
- - org.eclipse.debug.ui.AbstractLaunchConfigurationTab
  - - org.eclipse.jdt.debug.ui.launchConfigurations.JavaLaunchTab
    - - org.eclipse.jdt.debug.ui.launchConfigurations.AppletParametersTab

All Implemented Interfaces:
  `IPrototypeAttributesLabelProvider`, `ILaunchConfigurationTab`, `ILaunchConfigurationTab2`

    public class AppletParametersTab
    extends JavaLaunchTab

This tab appears for java applet launch configurations and allows the user to edit applet-specific attributes such as width, height, name & applet parameters.

This class may be instantiated.

Since:
  2.1
Restriction:
  This class is not intended to be sub-classed by clients.

### Field Summary

Fields
`static int` `DEFAULT_APPLET_HEIGHT` The default value for the 'height' attribute.
`static int` `DEFAULT_APPLET_WIDTH` The default value for the 'width' attribute.

### Constructor Summary

Constructors
`AppletParametersTab()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `activated​(ILaunchConfigurationWorkingCopy workingCopy)`
`void` `createControl​(Composite parent)`
`void` `deactivated​(ILaunchConfigurationWorkingCopy workingCopy)`
`String` `getId()`
`Image` `getImage()`
`String` `getName()`
`void` `initializeFrom​(ILaunchConfiguration config)`
`boolean` `isValid​(ILaunchConfiguration launchConfig)`
`void` `performApply​(ILaunchConfigurationWorkingCopy configuration)`
`void` `setDefaults​(ILaunchConfigurationWorkingCopy configuration)`

### Methods inherited from class org.eclipse.jdt.debug.ui.launchConfigurations.JavaLaunchTab

`getContext, getCurrentLaunchConfiguration, initializeAttributes, initializeJavaProject`

### Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTab

`canSave, createCheckButton, createPushButton, createRadioButton, createSeparator, createUpdateJob, createVerticalSpacer, dispose, getAttributeLabel, getAttributesLabelsForPrototype, getControl, getErrorMessage, getHelpContextId, getLaunchConfigurationDialog, getLaunchManager, getMessage, getShell, getUpdateJobDelay, getWarningMessage, isDirty, launched, scheduleUpdateJob, setAttribute, setControl, setDirty, setErrorMessage, setHelpContextId, setLaunchConfigurationDialog, setMessage, setWarningMessage, updateLaunchConfigurationDialog`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.ui.ILaunchConfigurationTab

`OkToLeaveTab, postApply`

### Field Detail

#### DEFAULT_APPLET_WIDTH

    public static final int DEFAULT_APPLET_WIDTH

The default value for the 'width' attribute.

See Also:
  Constant Field Values

#### DEFAULT_APPLET_HEIGHT

    public static final int DEFAULT_APPLET_HEIGHT

The default value for the 'height' attribute.

See Also:
  Constant Field Values

### Constructor Detail

#### AppletParametersTab

    public AppletParametersTab()

### Method Detail

#### createControl

    public void createControl​(Composite parent)

See Also:
  `ILaunchConfigurationTab.createControl(Composite)`

#### isValid

    public boolean isValid​(ILaunchConfiguration launchConfig)

Specified by:
  `isValid` in interface `ILaunchConfigurationTab`
Overrides:
  `isValid` in class `AbstractLaunchConfigurationTab`
See Also:
  `ILaunchConfigurationTab.isValid(ILaunchConfiguration)`

#### performApply

    public void performApply​(ILaunchConfigurationWorkingCopy configuration)

See Also:
  `ILaunchConfigurationTab.performApply(ILaunchConfigurationWorkingCopy)`

#### setDefaults

    public void setDefaults​(ILaunchConfigurationWorkingCopy configuration)

See Also:
  `ILaunchConfigurationTab.setDefaults(ILaunchConfigurationWorkingCopy)`

#### initializeFrom

    public void initializeFrom​(ILaunchConfiguration config)

Specified by:
  `initializeFrom` in interface `ILaunchConfigurationTab`
Overrides:
  `initializeFrom` in class `JavaLaunchTab`
See Also:
  `ILaunchConfigurationTab.initializeFrom(ILaunchConfiguration)`

#### getName

    public String getName()

See Also:
  `ILaunchConfigurationTab.getName()`

#### getId

    public String getId()

Overrides:
  `getId` in class `AbstractLaunchConfigurationTab`
Since:
  3.3
See Also:
  `AbstractLaunchConfigurationTab.getId()`

#### getImage

    public Image getImage()

Specified by:
  `getImage` in interface `ILaunchConfigurationTab`
Overrides:
  `getImage` in class `AbstractLaunchConfigurationTab`
See Also:
  `ILaunchConfigurationTab.getImage()`

#### activated

    public void activated​(ILaunchConfigurationWorkingCopy workingCopy)

Specified by:
  `activated` in interface `ILaunchConfigurationTab`
Overrides:
  `activated` in class `AbstractLaunchConfigurationTab`

#### deactivated

    public void deactivated​(ILaunchConfigurationWorkingCopy workingCopy)

Specified by:
  `deactivated` in interface `ILaunchConfigurationTab`
Overrides:
  `deactivated` in class `AbstractLaunchConfigurationTab`